SET ECHO OFF
REM ***************************************************************************
REM ***************************** T R I V A D I S *****************************
REM ******************** Oracle Database 12c New Features *********************
REM ************************ http://www.trivadis.com **************************
REM ***************************************************************************
REM
REM Privileges..: User|DBA|SYSDBA
REM File name...: o122_app_container_cleanup.sql
REM Author......: Markus Flechtner (FMA)
REM Date........: March 2017
REM Description.: cleanup for the application container demos
REM Notes.......: .
REM Parameters..: .
REM Requirements: Oracle Database 12c Release 1 - 12.2
REM
REM Changes:
REM DD.MM.YYYY Author Description
REM ===========================================================================
REM 
REM ***************************************************************************

SET ECHO ON TERMOUT ON SERVEROUTPUT ON PAGESIZE 100 LINESIZE 100

CLEAR SCREEN

spool log/o122_app_container_cleanup.log

connect / as sysdba

REM ===========================================================================
REM Demo: Application Container - Cleanup
REM Note: Errors may occur if the PDBs do not exist.
REM These errors can be ignored.
REM ===========================================================================

pause
alter pluggable database demopdb2 close;
alter pluggable database demopdb1 close;
alter pluggable database demopdb close;
alter pluggable database demo$seed close;
alter pluggable database demo close;

drop pluggable database demopdb including datafiles;
drop pluggable database demopdb1 including datafiles;
drop pluggable database demopdb2 including datafiles;
drop pluggable database demo$seed including datafiles;
drop pluggable database demo including datafiles;


spool off

pause

