SET ECHO OFF
REM ***************************************************************************
REM ***************************** T R I V A D I S *****************************
REM ******************** Oracle Database 12c New Features *********************
REM ************************ http://www.trivadis.com **************************
REM ***************************************************************************
REM
REM Privileges..: User|DBA|SYSDBA
REM File name...: o122_app_container_data_dictionary.sql
REM Author......: Markus Flechtner (fma)
REM Date........: March 2017
REM Description.: Application Container related data dictionary views
REM Notes.......: ??????????
REM Parameters..: ??????????
REM Requirements: Oracle Database 12c Release 1 - 12.2
REM
REM Changes:
REM DD.MM.YYYY Author Description
REM ===========================================================================
REM 
REM ***************************************************************************

SET ECHO ON TERMOUT ON SERVEROUTPUT ON PAGESIZE 100 LINESIZE 100

CLEAR SCREEN

spool log/o122_app_container_data_dictionary.log

REM ===========================================================================
REM Demo: Application Containers: Take a look at the data dictionary
REM ===========================================================================

pause

alter session set container=CDB$ROOT;

REM ===========================================================================
REM V$pdbs
REM ===========================================================================

column name format a15

select
name,
APPLICATION_ROOT,
 APPLICATION_PDB,
 APPLICATION_SEED,
 APPLICATION_ROOT_CON_ID,
  APPLICATION_ROOT_CLONE
from v$pdbs
order by NAME;

pause


REM ===========================================================================
REM Overview (CDB_APP%-Views)
REM ===========================================================================

column table_name format a35
column comments format a60
set linesize 200
set pagesize 60

select 
    table_name,
    comments
from dict 
where table_name like 'CDB_APP%'
and table_name not like 'CDB_APPLY%'
order by table_name;

pause

REM ===========================================================================
REM Which applications are available?
REM ===========================================================================
column app_name format a36
column app_version format a10
column app_capture_service format a40
set linesize 150

select 
	app_id,app_name,app_version,app_status,app_capture_service from cdb_applications
order by app_id;

pause
REM ===========================================================================
REM User Scott in all PDBS
REM ===========================================================================

column object_type format a20
column object_name format a30

select con_id,object_type,object_name,sharing
from cdb_objects
where owner='SCOTT'
order by con_id;

pause

REM ===========================================================================
REM Which statements were used to create the DEMO
REM ===========================================================================

set pagesize 100
set linesize 150
set wrap off
column app_statement format a140

select con_id,app_status,app_statement from CDB_APP_STATEMENTS order by capture_time;

pause

spool off

