SET ECHO OFF
REM ***************************************************************************
REM ***************************** T R I V A D I S *****************************
REM ******************** Oracle Database 12c New Features *********************
REM ************************ http://www.trivadis.com **************************
REM ***************************************************************************
REM
REM Privileges..: User|DBA|SYSDBA
REM File name...: o122_app_container_prepare_seed.sql
REM Author......: Markus Flechtner (fma)
REM Date........: March 2017
REM Description.: Prepare Application Seed
REM Notes.......: .
REM Parameters..: .
REM Requirements: Oracle Database 12c Release 1 - 12.2
REM
REM Changes:
REM DD.MM.YYYY Author Description
REM ===========================================================================
REM 
REM ***************************************************************************

SET ECHO ON TERMOUT ON SERVEROUTPUT ON PAGESIZE 100 LINESIZE 100

CLEAR SCREEN

spool log/o122_app_container_prepare_seed.log

REM ===========================================================================
REM Demo: Install Application in Application Seed
REM ===========================================================================
pause

REM ===========================================================================
REM Application Container maintenance must be done from the Application Root
REM ===========================================================================
alter session set container=DEMO;

pause

REM ===========================================================================
REM Create Application Seed (we are using OMF)
REM ===========================================================================

CREATE PLUGGABLE DATABASE AS SEED ADMIN USER app_admin IDENTIFIED BY manager;

show pdbs

REM .
REM .. name of the the seed PDB is generated automatically
REM .

pause

REM ===========================================================================
REM Prepare Application in Application Seed
REM ===========================================================================

ALTER PLUGGABLE DATABASE demo$SEED OPEN;
ALTER SESSION SET CONTAINER=demo$SEED;

REM .. before synchronization
desc scott.emp;

pause
ALTER PLUGGABLE DATABASE APPLICATION ALL SYNC;

ALTER PLUGGABLE DATABASE CLOSE IMMEDIATE;
ALTER PLUGGABLE DATABASE OPEN READ ONLY;

pause

REM .. after synchronization

desc scott.emp

select * from scott.dept;

pause

spool off
