SET ECHO OFF
REM ***************************************************************************
REM ***************************** T R I V A D I S *****************************
REM ******************** Oracle Database 12c New Features *********************
REM ************************ http://www.trivadis.com **************************
REM ***************************************************************************
REM
REM Privileges..: User|DBA|SYSDBA
REM File name...: o122_app_container_sharing.sql
REM Author......: Markus Flechtner (fma)
REM Date........: March 2017
REM Description.: displays information on object sharing 
REM Notes.......: Database TVDCDB1
REM Parameters..: 
REM Requirements: Oracle Database 12c Release 1 - 12.2
REM
REM Changes:
REM DD.MM.YYYY Author Description
REM ===========================================================================
REM 
REM ***************************************************************************

SET ECHO ON TERMOUT ON SERVEROUTPUT ON PAGESIZE 100 LINESIZE 100

CLEAR SCREEN

spool log/o122_app_container_sharing.log

REM ***************************************************************************
REM Demo: Display information on sharing
REM ***************************************************************************

pause

alter session set container=PDB01;

SELECT sharing, count(*)
FROM dba_objects
GROUP BY sharing;

pause

clear screen

REM ***************************************************************************
REM Display information on sharing - Metadata Links 
REM ***************************************************************************

column owner format a10
column object_type format a20
column object_name format a40
set pagesize 200
set linesize 100

select owner,object_type,object_name from dba_objects 
where sharing='METADATA LINK' 
order by owner,object_type,object_name;

pause

clear screen

REM ***************************************************************************
REM Display information on sharing - Data Links 
REM ***************************************************************************

select owner,object_type,object_name from dba_objects 
where sharing='DATA LINK' 
order by owner,object_type,object_name;

pause

clear screen

REM ***************************************************************************
REM Display information on sharing - Extended Data Links 
REM ***************************************************************************

select owner,object_type,object_name from dba_objects 
where sharing='EXTENDED DATA LINK' 
order by owner,object_type,object_name;

pause



CLEAR SCREEN

REM ***************************************************************************
REM Display information on sharing - a closer look at Extended-Data_Links
REM ***************************************************************************
desc INT$DBA_VIEWS

pause

Column owner format a10
Column view_name format a40
Set line size 150
Set pagesize 200

select
  OWNER,
  VIEW_NAME,
  SHARING,
  ORIGIN_CON_ID
from
  INT$DBA_VIEWS
order by OWNER,VIEW_NAME,SHARING;

pause

spool off

