SET ECHO OFF
REM ***************************************************************************
REM ***************************** T R I V A D I S *****************************
REM ******************** Oracle Database 12c New Features *********************
REM ************************ http://www.trivadis.com **************************
REM ***************************************************************************
REM
REM Privileges..: User|DBA|SYSDBA
REM File name...: o122_app_container_upgrade_demopdb1.sql
REM Author......: Markus Flechtner (fma)
REM Date........: March 2017
REM Description.: upgrade an application PDB
REM Notes.......: .
REM Parameters..: .
REM Requirements: Oracle Database 12c Release 1 - 12.2
REM
REM Changes:
REM DD.MM.YYYY Author Description
REM ===========================================================================
REM 
REM ***************************************************************************

SET ECHO ON TERMOUT ON SERVEROUTPUT ON PAGESIZE 100 LINESIZE 100

CLEAR SCREEN

spool log/o122_app_container_upgrade_demopdb1.log

REM ===========================================================================
REM Demo: Upgrade the Application in DEMOPDB1 to Version 2
REM ===========================================================================

REM ===========================================================================
REM Connect to Application PDB DEMOPDB1
REM ===========================================================================


alter session set container=DEMOPDB1;


desc scott.zip_codes;

REM .. no ZIP_CODES available before the upgrade

pause



REM ===========================================================================
REM Upgrade the Application
REM ===========================================================================
Alter pluggable database application DEMOAPP sync;

pause

REM ===========================================================================
REM Check the new table ZIP_CODES
REM ===========================================================================
desc scott.zip_codes;

select count(*) from scott.zip_codes;

pause

REM ===========================================================================
REM Try DML on ZIP_CODES
REM ===========================================================================

select * from scott.zip_codes where zip_code='40227';

update scott.zip_codes
set zip_code='44444' where zip_code='40227';

commit;

REM .. update not allowed, but no error message!

insert into scott.zip_codes
values ('DE','11011','Berlin');

commit;

pause

REM ===========================================================================
REM Select on View
REM ===========================================================================

select * from scott.v_emp_dept;

pause

REM ===========================================================================
REM Check table NO_SHARING
REM ===========================================================================

desc  scott.no_sharing

pause

REM ===========================================================================
REM Execution Plan
REM ===========================================================================
set autotrace traceonly explain
select * from scott.v_emp_dept;

set autotrace off


pause



spool off


