SET ECHO OFF
REM ***************************************************************************
REM ***************************** T R I V A D I S *****************************
REM ******************** Oracle Database 12c New Features *********************
REM ************************ http://www.trivadis.com **************************
REM ***************************************************************************
REM
REM Privileges..: User|DBA|SYSDBA
REM File name...: o122_app_root_create.sql
REM Author......: Markus Flechtner 
REM Date........: March 2017
REM Description.: creates application root for Application Containers
REM Notes.......: .
REM Parameters..: .
REM Requirements: Oracle Database 12c Release 1 - 12.2
REM
REM Changes:
REM DD.MM.YYYY Author Description
REM ===========================================================================
REM 
REM ***************************************************************************

SET ECHO ON TERMOUT ON SERVEROUTPUT ON PAGESIZE 100 LINESIZE 100

CLEAR SCREEN

spool log/o122_app_root_create.log

REM ===========================================================================
REM Demo: Create Application Root
REM ===========================================================================

show user
show con_name
show pdbs

pause

CREATE PLUGGABLE DATABASE DEMO
AS APPLICATION CONTAINER admin user app_admin identified by manager ROLES=(DBA);


ALTER PLUGGABLE DATABASE DEMO OPEN;

pause

column pdb_name format a15

select 
    pdb_name,
    con_id,
    application_root,
    application_pdb,
    application_seed,
    application_root_con_id,
    application_clone
from cdb_pdbs;

pause

show user
show con_name
show pdbs


spool off





